Šifriranje e-pošte s PGP in S/MIME ni varno

Objavljeno: 14.5.2018 13:00 | Teme: varnost, e-pošta

Raziskovalci so ugotovili, da ima priljubljeno orodje za šifriranje elektronske pošte PGP (Pretty Good Privacy) in S/MIME tako resno varnostno ranljivost, da ob zlorabi napadalcu omogoča dešifriranje in prebiranje sporočil, tako novih kakor preteklih. Sebastian Schinzel z Univerze v Münstru, ki je med odkritelji ranljivosti, svetuje takojšnje prenehanje uporabe teh orodij. Več informacij bodo posredovali jutri. Tudi EFF, ki je preveril avtentičnost navedb, svetuje odpoved dodatkoma, dokler ne bo znanih več informacij.

Kaj lahko storimo? Najprej moramo izključiti vtičnike, ki so prinašali PGP v elektronsko pošto. To so na primer Enigmail za Thunderbird, GPGTools za Apple Mail in Gpg4win za Outlook. Za šifrirano komunikacijo je še vedno mogoče uporabljati druga orodja, ki pravilno implementirajo šifriranje. Tak primer je Signal, ki omogoča hipno komunikacijo.

Dokler ne bomo imeli uradne izjave, je težko presoditi, kako resna je ranljivost. Toda EFF nikoli ne dviguje prahu za prazen nič, zato velja napotke vzeti resno. Na internetu so se tudi že pojavile neuradne informacije, da so problematična e-sporočila v obliki HTML, ker  večina odjemalcev ne preverja za napake in slepo sledi vsem povezavam. Napaka najverjetneje ne tiči v protokolu, temveč v njegovi implementaciji. Več bo znanega jutri ob 9.00.

EFF

Naroči se na redna tedenska ali mesečna obvestila o novih prispevkih na naši spletni strani!
Prijava

Komentirajo lahko le prijavljeni uporabniki